#!/usr/bin/env python3
"""WizardKit: Hardware Diagnostics"""
# vim: sts=2 sw=2 ts=2

from docopt import docopt

import wk


if __name__ == '__main__':
  try:
    docopt(wk.hw.diags.DOCSTRING)
  except SystemExit:
    print('')
    wk.ui.cli.pause('Press Enter to exit...')
    raise

  try:
    wk.hw.diags.main()
  except SystemExit:
    raise
  except: # noqa: E722
    wk.ui.cli.major_exception()
